Skip to main content
GET
/
posts
List posts
curl --request GET \
  --url https://app.autoposting.ai/api-proxy/posts \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "posts": [
      {
        "id": "post_01HXYZ",
        "brandSlug": "acme-corp",
        "text": "Exciting news from Acme! 🚀",
        "platforms": [
          "x",
          "linkedin"
        ],
        "status": "scheduled",
        "scheduledAt": "2025-02-01T10:00:00Z",
        "createdAt": "2024-01-01T00:00:00Z"
      }
    ],
    "total": 1
  }
}

Authorizations

Authorization
string
header
required

API key as Authorization: Bearer sk-social-...

Query Parameters

brandSlug
string

Filter posts by brand slug.

status
enum<string>

Filter by post status. Lifecycle status of a post.

Available options:
draft,
scheduled,
validating,
validated,
publishing,
published,
partial,
failed,
archived,
render_pending,
billing_hold
limit
integer
default:50

Number of results per page.

Required range: x <= 100
offset
integer
default:0

Number of items to skip.

Response

A page of posts.

success
boolean
required
data
object
required